       IDENTIFICATION DIVISION.
       PROGRAM-ID.    BOTONES.

      ************************************************************
      * DEMO DE COMO RECIBIR DIFERENTES BOTONES EN EL PROGRAMA   *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  BCONSULTAR            PIC X(01).
           02  BGRABAR               PIC X(01).
           02  BCANCELAR             PIC X(01).
           02  BELIMINAR             PIC X(01).
           02  BOTRO                 PIC X(01).

       77  IK                        PIC X.

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.

           MOVE "tpl\botones.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
           MOVE "MSG-BOTON" TO VAR-NAME.
           IF BCONSULTAR NOT = SPACE
              MOVE "BOTON CONSULTAR" TO VAR-VALUE
           ELSE
           IF BGRABAR NOT = SPACE
              MOVE "BOTON GRABAR" TO VAR-VALUE
           ELSE
           IF BCANCELAR NOT = SPACE
              MOVE "BOTON CANCELAR" TO VAR-VALUE
           ELSE
           IF BELIMINAR NOT = SPACE
              MOVE "BOTON ELIMINAR" TO VAR-VALUE
           ELSE
           IF BOTRO NOT = SPACE
              MOVE "BOTON OTRO" TO VAR-VALUE.
           
           PERFORM TPL-ADD-VAR.




           CLOSE HTML-OUT.

           GO TO 999-EXIT.
           


       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.
      *     STOP RUN.

       END PROGRAM.

