       IDENTIFICATION DIVISION.
       PROGRAM-ID.    MENU03.

      ******************************************************
      * LISTADO DE CLIENTES, MUESTRA TODO EL CATALOGO
      ******************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".
           
           COPY "CLIENTES.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".
       
       COPY "CLIENTES.FD".

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".
       
       77  STAT-CAT                  PIC XX.
       77  WF-CLIENTES               PIC X(50).
       77  FLAG-ROW                  PIC 9.

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  LS-LOGINOK            PIC X(10).
           
       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT CLIENTES.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.
           
           IF LS-LOGINOK NOT = "COB1357"
              MOVE SPACES TO HTTP-DATA-INP
              CALL "MENU01" USING HTTP-CONTROL HTTP-DATA-INP
              GO TO 999-EXIT.



           PERFORM TPL-OPEN-FILE.
           
           MOVE "CLIENTES.DAT" TO WF-CLIENTES.
           OPEN INPUT CLIENTES.
           
           IF STAT-CAT NOT = "00"
              PERFORM 900-MSG-ERROR.
              
           IF STAT-CAT = "00"
              MOVE "tpl\menu\listado1.html" TO TPL-FILENAME
              PERFORM TPL-ADD-FILENAME
              MOVE 0 TO FLAG-ROW
              PERFORM 100-LEE THRU 100-EXIT.

           CLOSE CLIENTES.
           
           CLOSE HTML-OUT.

           GO TO 999-EXIT.
           
       100-LEE.
           READ CLIENTES NEXT RECORD AT END GO 100-EXIT.
           
           MOVE "CLAVE" TO VAR-NAME.
           MOVE C03-CLAVE TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.
           
           MOVE "NOMBRE" TO VAR-NAME.
           MOVE C03-NOMBRE TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.
           
           IF FLAG-ROW = 0
              MOVE "ROW1"  TO BLOCK-NAME
              MOVE 1 TO FLAG-ROW
           ELSE
              MOVE "ROW2" TO BLOCK-NAME
              MOVE 0 TO FLAG-ROW.
           MOVE "TABLA" TO BLOCK-PASTE.
           PERFORM TPL-OPEN-BLOCK.
           
           
           
           GO 100-LEE.
       100-EXIT.
           EXIT.

       
       900-MSG-ERROR.
           MOVE "<CENTER><BIG>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.
           
           MOVE "ERROR AL ABRIR CATALOGO DE CLIENTES" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.
           
           STRING "<BR>ARCHIVO = ", WF-CLIENTES
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.
           
           STRING "<BR>ESTATUS DEL ARCHIVO = ", STAT-CAT
                  DELIMITED BY SIZE INTO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.
           
           MOVE "</BIG></CENTER>" TO HTML-COMMAND.
           PERFORM TPL-DISP-COMMAND.
           
           

       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

