       IDENTIFICATION DIVISION.
       PROGRAM-ID.    PRIMER2.

      ************************************************************
      * PRIMER EJEMPLO, RECIBE DATOS DE UNA FORMA                *
      * Y LOS AVIENTA AL TEMPLATE DE SEGUNDO                     *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".


       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  CLAVE                 PIC X(10).
           02  NOMBRE                PIC X(50).
           02  DIRECCION             PIC X(50).
           02  IMPORTE               PIC 9(12)V99-.

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "FORMA"
              PERFORM 100-SHOW-FORMA.
              
           IF FUNC = "GRABAR"
              PERFORM 200-GRABAR.


           CLOSE HTML-OUT.

           GO TO 999-EXIT.
           
       100-SHOW-FORMA.
           MOVE "tpl\primer2.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
       
      * MUESTRA LOS DATOS QUE RECIBIO EL PROGRAMA
      * CON ESTOS DATOS PODEMOS HACER LO QUE DESEEMOS, GRABARLOS
      * EN UN ARCHIVO, VALIDAR, ETC.
      * INCLUSO PODEMOS ENVIARLOS A OTRO TEMPLATE
       200-GRABAR.
          
           MOVE "tpl\segundo.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
           MOVE "CLAVE" TO VAR-NAME.
           MOVE CLAVE TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.
           
           MOVE "NOMBRE" TO VAR-NAME.
           MOVE NOMBRE TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.
           
           MOVE "DIRECCION" TO VAR-NAME.
           MOVE DIRECCION TO VAR-VALUE
           PERFORM TPL-ADD-VAR.



       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

