       IDENTIFICATION DIVISION.
       PROGRAM-ID.    RESOL.

      ************************************************************
      * OBTIENE LA RESOLUCION DE LA PANTALLA DEL CLIENTE
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".


       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  WEB-WIDTH             PIC 9(7).
           02  WEB-HEIGHT            PIC 9(7).

       77  IK                        PIC X.

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.

       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "Detecta"
              PERFORM 100-OBTIENE
           ELSE
           IF FUNC = "Muestra"
              PERFORM 200-MUESTRA.


           CLOSE HTML-OUT.

           GO TO 999-EXIT.
           
       100-OBTIENE.
           MOVE "tpl\resol1.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.

       200-MUESTRA.
           MOVE "tpl\resol2.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.

           MOVE "WEB-WIDTH" TO VAR-NAME.
           MOVE WEB-WIDTH   TO VAR-VALUE
           PERFORM TPL-ADD-VAR.

           MOVE "WEB-HEIGHT" TO VAR-NAME.
           MOVE WEB-HEIGHT   TO VAR-VALUE.
           PERFORM TPL-ADD-VAR.


       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

