       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CONTROLES2.

      ************************************************************
      * DEMO DE COMO ENVIAR VALORES A DIFERENTES CONTROLES       *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  NOMBRE                PIC X(50).
           02  SEXO                  PIC X(01).
           02  PUBLICIDAD            PIC X(01).
           02  EDAD                  PIC 9(01).
           02  CIUDAD                PIC 9(03).

       77  IK                        PIC X.

       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.

           PERFORM 100-SHOW-FORMA.

           CLOSE HTML-OUT.

           GO TO 999-EXIT.

       100-SHOW-FORMA.
           MOVE "tpl\ctrles2.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.

           MOVE "SEXO" TO FORM-NAME.
           MOVE "M" TO FORM-VALUE.
           PERFORM TPL-DATA-FORM.

           MOVE "PUBLICIDAD" TO FORM-NAME.
           MOVE "S" TO FORM-VALUE.
           PERFORM TPL-DATA-FORM.
           
           MOVE "EDAD" TO FORM-NAME.
           MOVE "3" TO FORM-VALUE.
           PERFORM TPL-DATA-FORM.
           

      *    llena combo de ciudad *
           MOVE "CIUDAD" TO COMBO-NAME.
           MOVE "TAMPICO" TO COMBO-ITEM.
           MOVE "001" TO COMBO-VALUE.
           MOVE "N" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "MADERO" TO COMBO-ITEM.
           MOVE "002" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "ALTAMIRA" TO COMBO-ITEM.
           MOVE "003" TO COMBO-VALUE.
           MOVE "Y" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "VICTORIA" TO COMBO-ITEM.
           MOVE "004" TO COMBO-VALUE.
           MOVE "N" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.

           MOVE "REYNOSA" TO COMBO-ITEM.
           MOVE "005" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.
           
           MOVE "MATAMOROS" TO COMBO-ITEM.
           MOVE "006" TO COMBO-VALUE.
           PERFORM TPL-ADD-TO-COMBO.



       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

