       IDENTIFICATION DIVISION.
       PROGRAM-ID.    CONTROLES2.

      ************************************************************
      * DEMO DE COMO ENVIAR VALORES A DIFERENTES CONTROLES       *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  PAIS                  PIC 9(02).
           02  ESTADO                PIC 9(02).
           02  CIUDAD                PIC 9(02).

       77  IK                        PIC X.
       77  I                         PIC 99.
       
       01  TABLA-PAISES.
           02 FILLER        PIC X(12) VALUE "01ARGENTINA ".
           02 FILLER        PIC X(12) VALUE "02COLOMBIA  ".
           02 FILLER        PIC X(12) VALUE "03ECUADOR   ".
           02 FILLER        PIC X(12) VALUE "04MEXICO    ".
           02 FILLER        PIC X(12) VALUE "05USA       ".
       01  TAB-PAISES REDEFINES TABLA-PAISES.
           02 XTAB-PAISES OCCURS 5 TIMES.
              04 PAIS-CLAVE      PIC 99.
              04 PAIS-NOMBRE     PIC X(10).
              
              
       01  TABLA-ESTADOS.
           02 FILLER        PIC X(14) VALUE "0101B.AIRES   ".
           02 FILLER        PIC X(14) VALUE "0102CHACO     ".
           02 FILLER        PIC X(14) VALUE "0103MENDOZA   ".
           02 FILLER        PIC X(14) VALUE "0104LA PAMPA  ".
           02 FILLER        PIC X(14) VALUE "0105SANTA FE  ".
           02 FILLER        PIC X(14) VALUE "0201AMAZONAS  ".
           02 FILLER        PIC X(14) VALUE "0202BOLIVAR   ".
           02 FILLER        PIC X(14) VALUE "0203META      ".
           02 FILLER        PIC X(14) VALUE "0204SUCRE     ".
           02 FILLER        PIC X(14) VALUE "0301LOJA      ".
           02 FILLER        PIC X(14) VALUE "0302GUAYAS    ".
           02 FILLER        PIC X(14) VALUE "0303MANABI    ".
           02 FILLER        PIC X(14) VALUE "0402CAMPECHE  ".
           02 FILLER        PIC X(14) VALUE "0403COAHUILA  ".
           02 FILLER        PIC X(14) VALUE "0404D.F.      ".
           02 FILLER        PIC X(14) VALUE "0405MORELOS   ".
           02 FILLER        PIC X(14) VALUE "0406NAYARIT   ".
           02 FILLER        PIC X(14) VALUE "0501ARIZONA   ".
           02 FILLER        PIC X(14) VALUE "0502COLORADO  ".
           02 FILLER        PIC X(14) VALUE "0503FLORIDA   ".
           02 FILLER        PIC X(14) VALUE "0504MICHIGAN  ".
           02 FILLER        PIC X(14) VALUE "0505MINNESOTA ".
       01  TAB-ESTADOS REDEFINES TABLA-ESTADOS.
           02 XTAB-ESTADOS OCCURS 22 TIMES.
              04 EDO-PAIS        PIC 99.
              04 EDO-CLAVE       PIC 99.
              04 EDO-NOMBRE      PIC X(10).
              
       01  TABLA-CIUDADES.
           02 FILLER        PIC X(16) VALUE "010101B.AIRES-1 ".
           02 FILLER        PIC X(16) VALUE "010102B.AIRES-2 ".
           02 FILLER        PIC X(16) VALUE "010201CHACO-1   ".
           02 FILLER        PIC X(16) VALUE "010202CHACO-2   ".
           02 FILLER        PIC X(16) VALUE "010203CHACO-3   ".
           02 FILLER        PIC X(16) VALUE "020201BOLIVAR-1 ".
           02 FILLER        PIC X(16) VALUE "020202BOLIVAR-2 ".
           02 FILLER        PIC X(16) VALUE "030201GUAYAS-1  ".
           02 FILLER        PIC X(16) VALUE "030202GUAYAS-2  ".
           02 FILLER        PIC X(16) VALUE "030203GUAYAS-3  ".
           02 FILLER        PIC X(16) VALUE "030301MANABI-1  ".
           02 FILLER        PIC X(16) VALUE "030302MANABI-2  ".
           02 FILLER        PIC X(16) VALUE "030303MANABI-3  ".
           02 FILLER        PIC X(16) VALUE "040201CAMPECHE1 ".
           02 FILLER        PIC X(16) VALUE "040202CAMPECHE2 ".
           02 FILLER        PIC X(16) VALUE "040203CAMPECHE3 ".
           02 FILLER        PIC X(16) VALUE "040301COAHUILA1 ".
           02 FILLER        PIC X(16) VALUE "040302COAHUILA2 ".
           02 FILLER        PIC X(16) VALUE "050101ARIZONA-1 ".
           02 FILLER        PIC X(16) VALUE "050102ARIZONA-2 ".
           02 FILLER        PIC X(16) VALUE "050103ARIZONA-3 ".
           02 FILLER        PIC X(16) VALUE "050104ARIZONA-4 ".
       01  TAB-CIUDADES REDEFINES TABLA-CIUDADES.
           02 XTAB-CIUDADES OCCURS 22 TIMES.
              04 CD-PAIS         PIC 99.
              04 CD-EDO          PIC 99.
              04 CD-CLAVE        PIC 99.
              04 CD-NOMBRE       PIC X(10).

              
       01  LIN-FUNC.
           02  FILLER                PIC X(20) VALUE
               "EL VALOR DE FUNC = ".
           02  WS-FUNC               PIC X(20).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       01  LIN-PAIS.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE PAIS = ".
           02  WS-PAIS               PIC X(10).
           02 FILLER                 PIC X(04) VALUE "<BR>".

       01  LIN-ESTADO.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE ESTADO= ".
           02  WS-ESTADO             PIC X(10).
           02 FILLER                 PIC X(04) VALUE "<BR>".
           
       01  LIN-CIUDAD.
           02  FILLER                PIC X(25) VALUE
               "EL VALOR DE CIUDAD= ".
           02  WS-CIUDAD             PIC X(10).
           02 FILLER                 PIC X(04) VALUE "<BR>".



              


       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.
       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           IF FUNC = "SHOW"
              PERFORM 100-SHOW-FORMA
              PERFORM 200-CARGA-PAISES.
              
           IF FUNC = "ESTADOS"
              PERFORM 100-SHOW-FORMA
              PERFORM 200-CARGA-PAISES
              PERFORM 300-CARGA-ESTADOS.
              
           IF FUNC = "CIUDADES"
              PERFORM 100-SHOW-FORMA
              PERFORM 200-CARGA-PAISES
              PERFORM 300-CARGA-ESTADOS
              PERFORM 400-CARGA-CIUDADES.
              
           IF FUNC = "GRABAR"
              PERFORM 900-MUESTRA.

           CLOSE HTML-OUT.

           GO TO 999-EXIT.

       100-SHOW-FORMA.
           MOVE "tpl\combo1.html" TO TPL-FILENAME.
           PERFORM TPL-ADD-FILENAME.
           
           
       200-CARGA-PAISES.
           PERFORM 210-PAIS VARYING I FROM 1 BY 1 UNTIL I > 5.
           
       210-PAIS.
           MOVE "PAIS" TO COMBO-NAME.
           MOVE PAIS-CLAVE(I)  TO COMBO-VALUE.
           MOVE PAIS-NOMBRE(I) TO COMBO-ITEM.
           IF PAIS-CLAVE(I) = PAIS
              MOVE "Y" TO COMBO-SELECTED
           ELSE MOVE "N" TO COMBO-SELECTED.
           PERFORM TPL-ADD-TO-COMBO.
           
           
           
       300-CARGA-ESTADOS.
           PERFORM 310-ESTADO VARYING I FROM 1 BY 1 UNTIL I > 22.
           
       310-ESTADO.
           IF EDO-PAIS(I) = PAIS
              MOVE "ESTADO" TO COMBO-NAME
              MOVE EDO-CLAVE(I) TO COMBO-VALUE
              MOVE EDO-NOMBRE(I) TO COMBO-ITEM
              IF EDO-CLAVE(I) = ESTADO
                 MOVE "Y" TO COMBO-SELECTED
              ELSE MOVE "N" TO COMBO-SELECTED
              END-IF
              PERFORM TPL-ADD-TO-COMBO.
              
       400-CARGA-CIUDADES.
           PERFORM 410-CIUDAD VARYING I FROM 1 BY 1 UNTIL I > 22.

       410-CIUDAD.
           IF CD-PAIS(I) = PAIS AND CD-EDO(I) = ESTADO
              MOVE "CIUDAD" TO COMBO-NAME
              MOVE CD-CLAVE(I) TO COMBO-VALUE
              MOVE CD-NOMBRE(I) TO COMBO-ITEM
              IF CD-CLAVE(I) = CIUDAD
                 MOVE "Y" TO COMBO-SELECTED
              ELSE MOVE "N" TO COMBO-SELECTED
              END-IF
              PERFORM TPL-ADD-TO-COMBO.

              
              
       900-MUESTRA.
           MOVE FUNC    TO WS-FUNC.
           MOVE PAIS    TO WS-PAIS.
           MOVE ESTADO  TO WS-ESTADO.
           MOVE CIUDAD  TO WS-CIUDAD.

           WRITE R-HTML-OUT FROM LIN-FUNC.
           WRITE R-HTML-OUT FROM LIN-PAIS.
           WRITE R-HTML-OUT FROM LIN-ESTADO.
           WRITE R-HTML-OUT FROM LIN-CIUDAD.




       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.

