       IDENTIFICATION DIVISION.
       PROGRAM-ID.    REPMEMO1.

      ************************************************************
      * GENERA UN REPORTE CON CAMPO MEMO                         *
      ************************************************************

       ENVIRONMENT DIVISION.
       CONFIGURATION SECTION.
       SOURCE-COMPUTER.       IBM.
       OBJECT-COMPUTER.       IBM.
       INPUT-OUTPUT SECTION.
       FILE-CONTROL.

           COPY "COBLIB\HTML-OUT.SEL".

       DATA DIVISION.

       FILE SECTION.

       COPY "COBLIB\HTML-OUT.FD".
       

       WORKING-STORAGE SECTION.

       COPY "COBLIB\TEMPLATE.WSS".

      *<COBHTTPD-DATA PREFIX="LS-">
       01  WEB-DATA.
           02  FUNC                  PIC X(10).
           02  VISITAS               PIC 9(05).

       77  IK                        PIC X.

       77  MEM-LINE      PIC X(150).
       77  MEM-COMPANY   PIC X(80) VALUE "COBTOOLS.COM".
       
       LINKAGE SECTION.

       COPY "COBLIB\LS-HTTP.FDT".

       PROCEDURE DIVISION USING HTTP-CONTROL HTTP-DATA-INP.

       DECLARATIVES.
       BLOQUEO SECTION.
           USE AFTER STANDARD ERROR PROCEDURE ON HTML-OUT.
       END DECLARATIVES.
       PROGRAMA SECTION.
       0000-START.
           MOVE HTTP-DATA-INP  TO WEB-DATA.

           PERFORM TPL-OPEN-FILE.
           
           PERFORM 500-TITLES.
           
           PERFORM 100-WRITE-MEMO.

           CLOSE HTML-OUT.

           GO TO 999-EXIT.
           
       100-WRITE-MEMO.
           WRITE R-HTML-OUT FROM "<MEMO VAR='MEMO1'>".
           WRITE R-HTML-OUT FROM "This sample show how build a MEMO".
           WRITE R-HTML-OUT FROM "inside a report called by /cobpdf?".
           WRITE R-HTML-OUT FROM "_".
           WRITE R-HTML-OUT FROM "This program is repmemo2.cbl".
           WRITE R-HTML-OUT FROM "_".
           WRITE R-HTML-OUT FROM "And the MEMO is printted by band".
           WRITE R-HTML-OUT FROM "with a memo tag inside".
           WRITE R-HTML-OUT FROM "_".
           WRITE R-HTML-OUT FROM "</MEMO>".
           
           WRITE R-HTML-OUT FROM "<PRINT 'band-memo'>".
       
           
           
       500-TITLES.
           MOVE SPACES TO MEM-LINE.
           STRING "<VAR NAME-COMPANY='", MEM-COMPANY, "'>"
                  DELIMITED BY SIZE INTO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.

           MOVE "<include 'reps\repmemo2.def'>" TO MEM-LINE.
           WRITE R-HTML-OUT FROM MEM-LINE.

       COPY "COBLIB\TEMPLATE.FDT".

       999-EXIT.

       EXIT-PROG.
           EXIT PROGRAM.

       END PROGRAM.
